Mover un ticket a otro pipeline (queda en su primera etapa abierta)
curl --request PATCH \
--url https://api.raul.ugps.io/api/v1/tickets/{id}/pipeline \
--header 'Content-Type: application/json' \
--data '
{
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_version": 1073741824
}
'import requests
url = "https://api.raul.ugps.io/api/v1/tickets/{id}/pipeline"
payload = {
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_version": 1073741824
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
pipeline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_version: 1073741824
})
};
fetch('https://api.raul.ugps.io/api/v1/tickets/{id}/pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state_id": 123,
"version": 123,
"changed": true
}tickets
Mover un ticket a otro pipeline (queda en su primera etapa abierta)
PATCH
/
api
/
v1
/
tickets
/
{id}
/
pipeline
Mover un ticket a otro pipeline (queda en su primera etapa abierta)
Path Parameters
Body
application/json
Response
Ticket reclasificado o sin cambios (changed: false)
Pipeline resultante (el predeterminado si el ticket no tenía)
Etapa del ticket: la primera abierta del destino
Versión del ticket después del movimiento
false si el ticket ya estaba en ese pipeline